summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn2013-10-27 04:10:53 +0100
committer Robby Workman2013-10-28 05:38:58 +0100
commita481874fde49457df5c7ee14f5ef0b6d236a0459 (patch)
treef47c169646dc024e355bed8496e22be6c70cbf34
parentc6fae4fd0981dde1a026a9288dfa947be53ff511 (diff)
downloadslackbuilds-a481874fde49457df5c7ee14f5ef0b6d236a0459.tar.gz
development/icon: Updated for version 9.5.1.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/icon/icon.SlackBuild29
-rw-r--r--development/icon/icon.info6
-rw-r--r--development/icon/slack-desc10
3 files changed, 31 insertions, 14 deletions
diff --git a/development/icon/icon.SlackBuild b/development/icon/icon.SlackBuild
index 5f2e30a495..d12606e49e 100644
--- a/development/icon/icon.SlackBuild
+++ b/development/icon/icon.SlackBuild
@@ -1,10 +1,29 @@
#!/bin/sh
# Slackware build script for icon
-# Written by Kyle Guinn <elyk03@gmail.com>
+
+# Copyright 2013 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=icon
-VERSION=${VERSION:-9.5.0}
+VERSION=${VERSION:-9.5.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,17 +57,15 @@ else
LIBDIRSUFFIX=""
fi
-set -e
-
PKGVERSION=$(echo $VERSION | tr -d .)
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-v${PKGVERSION}src
-tar xvf $CWD/$PRGNAM-v${PKGVERSION}src.tgz
+tar xvf $CWD/$PRGNAM-v${PKGVERSION}src.tgz || exit 1
cd $PRGNAM-v${PKGVERSION}src
chown -R root:root .
-chmod -R u+w,go+r-w,a-st .
+chmod -R u+w,go-w,a+rX-st .
# Let's put the package in /opt/icon instead of filling /usr/lib
# (and not a '/usr/lib/icon' subdirectory) with icon-related files.
diff --git a/development/icon/icon.info b/development/icon/icon.info
index 049158db32..2f383854c2 100644
--- a/development/icon/icon.info
+++ b/development/icon/icon.info
@@ -1,8 +1,8 @@
PRGNAM="icon"
-VERSION="9.5.0"
+VERSION="9.5.1"
HOMEPAGE="http://www.cs.arizona.edu/icon/"
-DOWNLOAD="http://www.cs.arizona.edu/icon/ftp/packages/unix/icon-v950src.tgz"
-MD5SUM="3f9b89bb8f2c0fb3e9c75d1b52fb5690"
+DOWNLOAD="http://www.cs.arizona.edu/icon/ftp/packages/unix/icon-v951src.tgz"
+MD5SUM="8fdeb7c5408d9d9bf06bc5e7f4f54498"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/development/icon/slack-desc b/development/icon/slack-desc
index ea444c03ed..902c83ae9a 100644
--- a/development/icon/slack-desc
+++ b/development/icon/slack-desc
@@ -1,9 +1,9 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
icon: Icon (programming language)